package j2d.filters.bufferedImageConvolution;

import math.Mat2;
import j2d.ImageUtils;
import j2d.ShortImageBean;
import j2d.border.Utils;

import java.awt.*;

/**
 * Created by IntelliJ IDEA.
 * User: lyondo
 * Date: Nov 7, 2005
 * Time: 5:45:59 PM
 * To change this template use File | Settings | File Templates.
 */
public class TestImageMatrixBean {
    ImageMatrixBean imb = new ImageMatrixBean();

    TestImageMatrixBean() {
        byte data[][] = new byte[31][31];
        initData(data);
        imb.setData(data);
        byte dataOut[][] = imb.getData();
        short s[][] = Mat2.getShort(dataOut);
        s = Mat2.scale(s, (short) 255);
        Image img = ImageUtils.getImage(s);
        ImageUtils.displayImage(
                Utils.getBorderImage(ImageUtils.getImage(),255,255,255,255,
                        Utils.BORDER_REFLECT),
                "Prof. Lyon does it again!");
        //Image realImage = ImageUtils.getImage();

        //ShortImageBean sib = new ShortImageBean(realImage);
        //short ris[][] = Mat2.grow(sib.getB(),new Dimension(640,480),Utils.BORDER_COPY);
        //ImageUtils.displayImage(ImageUtils.getImage(ris),"largeImage");

       //short gs[][] = Mat2.grow(s,new Dimension(255,255),Utils.BORDER_WRAP);
        //ImageUtils.displayImage(ImageUtils.getImage(gs),"New Grown Matrix");
    }

    public void print(short b[][]) {
        for (int i = 0; i < b.length; i++) {
            for (int j = 0; j < b[0].length; j++) {
                System.out.print(b[i][j] + " ");
            }
            System.out.println();
        }
    }

    public void print(byte b[][]) {
        for (int i = 0; i < b.length; i++) {
            for (int j = 0; j < b[0].length; j++) {
                System.out.print(b[i][j] + " ");
            }
            System.out.println();
        }
    }

    private void initData(byte[][] data) {
        for (int i = 0; i < data.length; i++) {
            for (int j = 0; j < data[0].length; j++) {
                if (i == j) {
                    data[i][j] = 1;
                }
            }
        }
    }

    public static void main(String[] args) {
        new TestImageMatrixBean();

    }
}
